TAAS - Bug #403

Opening balance and closing balance position issue when do grouping
10/29/2024 07:32 PM - Arathy PS
Description

When grouping done based on main ledger, service and date the opening balance and closing balance position changes.
---customer item wise SOA
---customer document wise SOA

History

#1 - 11/04/2024 11:48 AM - Arathy PS

- Subject changed from GROUPING to Opening balance and closing balance position issue when do grouping

#2 - 04/04/2025 11:39 AM - Anil KV
- Status changed from New to Ready for Coding
- Assignee changed from travvise Admin to Athira KK

- % Done changed from 0 to 20

#3 - 04/05/2025 10:27 AM - Athira KK

Customer Document Wise SOA--opening balance and closing balance position issue solved
Customer item wise SOA

Main Ledger Statement

Supplier statement

Cash book

Bank book

Ledger statement

Merged ledger statement

#4 - 04/05/2025 02:32 PM - Athira KK
- Status changed from Ready for Coding to Coding Started
- % Done changed from 20 to 30

#5 - 04/12/2025 10:31 AM - Anil KV

Sorting then Balance Column Re Calculate
*Discus with Amal
*Try SOA

<dx-data-grid [dataSource]="dataSource">

<dxi-column dataField="originalValue" caption="Original Value"></dxi-column>

<dxi-column caption="Recalculated Value" [calculateCellValue]="recalculateValue"></dxi-column>
</dx-data-grid>

recalculateValue = (data) => {

// Custom logic to recalculate the value based on sorted data

return data.originalValue * 2; // Example: doubling the original value
bi
